Summary
Get compliance report metadata for a batch.
Description
Get compliance report metadata by batch ID.
Route
GET /configuration_manager/json_compliance_reports/batch/:batchId
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| batchId |
string |
yes |
- |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| complianceHistory |
array |
- |
Copied to Clipboard
[
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 47034924,
"warnings": 1945097,
"infos": 60496401,
"passes": 74246682
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v2",
"nodePath": "base/US East",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 71206080,
"warnings": 70357063,
"infos": 2708006,
"passes": 45774517
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v2",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 89077838,
"warnings": 64812798,
"infos": 68113946,
"passes": 15707256
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "initial",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 40303285,
"warnings": 57067733,
"infos": 16438661,
"passes": 98631314
}
}
]